%global shortname wikitools
Summary: Python package for interacting with a MediaWiki wiki
Name: python-%{shortname}
Version: 1.1.1
Release: 2
Url: http://code.google.com/p/python-wikitools/
Source0: http://python-wikitools.googlecode.com/files/wikitools-1.1.1.tar.gz
License: GPLv3+
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python-devel
Requires: python

%description
A Python package for interacting with a MediaWiki wiki using the MediaWiki API.
Designed for MediaWiki version 1.16 and higher, should work on 1.13, older
versions may have bugs.
The edit-API must be enabled on the site to use editing features.
Please report any bugs to <http://code.google.com/p/python-wikitools/issues>

%prep
%setup -q -n %{shortname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc COPYING README CHANGELOG

%changelog
* Sat Mar 01 2014 Honza Horak <hhorak@redhat.com> - 1.1.1-2
- Re-packing upstream spec for Fedora


